<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>

<link rel="stylesheet" type="text/css"  href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />

<?php $bgr_file = get_option('woo_bgr'); 
if ($bgr_file != "") { ?>
    <link rel="stylesheet" type="text/css"  href="<?php bloginfo('template_directory'); ?>/styles/bgr/<?php echo $bgr_file; ?>" media="screen" />
<?php } else { ?>
    <link rel="stylesheet" type="text/css"  href="<?php bloginfo('template_directory'); ?>/styles/bgr/default.css" media="screen" />
<?php } ?>    

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!--[if IE 6]><script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/suckerfish.js"></script><![endif]-->      
<!--[if IE 7]><link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/ie7.css" /><![endif]-->

<?php if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<?php
	// Get Options for use in template files
	$featuredcat = get_option('woo_featured_category'); // ID of the Featured Category
	$GLOBALS['ex_feat'] = $wpdb->get_var("SELECT term_id FROM $wpdb->terms WHERE name='$featuredcat'");

	$vidcat = get_option('woo_video_category'); // ID of the Video Category
	$GLOBALS['ex_vid'] = $wpdb->get_var("SELECT term_id FROM $wpdb->terms WHERE name='$vidcat'");

	$asidecat = get_option('woo_asides_category'); // ID of the Asides Category
	$GLOBALS['ex_aside'] = $wpdb->get_var("SELECT term_id FROM $wpdb->terms WHERE name='$asidecat'");			
?>

<div id="top">
	<?php
	if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
		wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'link_before' => '<span>', 'link_after' => '</span>', 'menu_class' => 'nav1', 'theme_location' => 'primary-menu' ) );
	} else {
	?>
	<ul class="nav1">
   		<?php 
		if ( get_option('woo_custom_nav_menu') == 'true' ) {
        	if ( function_exists('woo_custom_navigation_output') )
            	woo_custom_navigation_output('name=Woo Menu 2&before_title=<span>&after_title=</span>&depth=1');
    
        } else { ?>
   		<li <?php if ( is_home() ) { ?> class="current_page_item" <?php } ?>><a href="<?php echo get_option('home'); ?>/"><span><?php _e('Home',woothemes); ?></span></a></li>
		<?php
        $pages = wp_list_pages('sort_column=menu_order&title_li=&echo=0&depth=1');
        $pages = preg_replace('%<a ([^>]+)>%U','<a $1><span>', $pages);
        $pages = str_replace('</a>','</span></a>', $pages);
        echo $pages;
        ?>
        <?php } ?>
	</ul>
    <!--/nav1-->
    <?php } ?>
	<div id="fonts"> 
    	<small><a href="javascript:changeFontSize(-1)">A</a></small> <big><a href="javascript:changeFontSize(1)">A</a></big> 
    </div>
	<!--/fonts-->

</div>
<!--/top-->

<div id="page">

	<div id="header">
		
		<h1 <?php if ( get_option('woo_logo') <> "" ) { ?>style="background: url(<?php echo get_option('woo_logo'); ?>) no-repeat !important;"<?php } ?>><a href="<?php echo get_option('home'); ?>/" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>

		<div class="spacer">       
        
			<form method="get" id="searchform" action="<?php bloginfo('home'); ?>/">
            
				<div id="search">
					<input type="text" value="<?php _e('Enter search keyword',woothemes); ?>" onclick="this.value='';" name="s" id="s" />
					<input name="" type="image" src="<?php bloginfo('template_directory'); ?>/images/btn-search.gif" value="<?php _e('Go',woothemes); ?>" class="btn"  />
				</div>
				<!--/search -->  
                              
				<p><?php _e('Subscribe:',woothemes); ?> <a href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>"><?php _e('Posts',woothemes); ?></a> / <a href="<?php bloginfo('comments_rss2_url'); ?>"><?php _e('Comments',woothemes); ?></a> <?php if ( get_option('woo_feedburner_id') <> "" ) { ?>/ <a href="<?php echo get_option('woo_feedburner_id'); ?>" target="_blank"><?php _e('Email',woothemes); ?></a><?php } ?></p>
                
			</form>
            
		</div>
		<!--/spacer-->		
		
	</div>
    <!--/header -->
	
	<div id="topmenu">
		<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
			wp_nav_menu( array( 'depth' => 6, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'nav', 'theme_location' => 'secondary-menu' ) );
		} else {
		?>
		<ul id="nav">
			<?php 
            if ( get_option('woo_custom_nav_menu') == 'true' ) {
            	if ( function_exists('woo_custom_navigation_output') )
            		woo_custom_navigation_output('name=Woo Menu 1');
    
            } else { ?>
			<?php wp_list_categories('title_li=&exclude=') ?>
			<?php } ?>
		</ul>
		<?php } ?>
		<div id="rss"><a href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>"><img src="<?php bloginfo('template_directory'); ?>/images/ico-rss.gif" alt="RSS" /></a></div><!--/rss -->
	</div>
    <!--/topmenu -->

	<div id="columns">