<?php

// =============================== Asides widget ======================================
function asidesWidget()
{
	$number = 5;
	$title = "Asides";
	$settings = get_option("widget_asideswidget");
	if ($settings['number']) $number = $settings['number'];
	if ($settings['title']) $title = $settings['title'];

?>
<div class="box2">
    <div class="top"></div>
    <div class="spacer">
        <h5><span class="fl"><?php echo $title; ?></span> <a href="#"><img src="<?php bloginfo('template_directory'); ?>/images/ico-misc.gif" alt="" class="fr" /></a></h5>
        <ul class="list2">
		<?php 
		$the_query = new WP_Query('cat=' . $GLOBALS[ex_aside] . '&showposts=' . $number . '&orderby=post_date&order=desc');
		while ($the_query->have_posts()) : $the_query->the_post(); $do_not_duplicate = $post->ID;
		?>
            <li><?php the_content(); ?></li>
        <?php endwhile; ?>
        </ul>
    </div><!--/spacer -->
    <div class="bot"></div>
</div><!--/box2 -->
<?php
}
register_sidebar_widget('Woo - Asides', 'asidesWidget');

function asidesWidgetAdmin() {

	$settings = get_option("widget_asideswidget");

	// check if anything's been sent
	if (isset($_POST['update_asides'])) {
		$settings['number'] = strip_tags(stripslashes($_POST['asides_number']));
		$settings['title'] = strip_tags(stripslashes($_POST['asides_title']));
		update_option("widget_asideswidget",$settings);
	}

	echo '<p>
			<label for="asides_number">Number of asidess (default = 5):
			<input id="asides_number" name="asides_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<p>
			<label for="asides_title">Title
			<input id="asides_title" name="asides_title" type="text" class="widefat" value="'.$settings['title'].'" /></label></p>';
	echo '<label>NOTE: Setup the asides category in the theme Options Panel';
	echo '<input type="hidden" id="update_asides" name="update_asides" value="1" /></label>';


}
register_widget_control('Woo - Asides', 'asidesWidgetAdmin', 200, 200);

// =============================== Flickr widget ======================================
function flickrWidget()
{
	$settings = get_option("widget_flickrwidget");

	$id = $settings['id'];
	$number = $settings['number'];

?>

<div class="box2">
    <div class="top"></div>
    <div class="spacer flickr">
        
        <h5><?php _e('Latest',woothemes); ?> <span style="color:#0063DC">Flick</span><span style="color:#FF0084">r</span> <?php _e('photos',woothemes); ?></h5>
		<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=<?php echo $number; ?>&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=<?php echo $id; ?>"></script>        
    </div><!--/spacer -->
    <div class="fix"></div>        
    <div class="bot"></div>
</div>
<!--/box2 -->

<?php
}

function flickrWidgetAdmin() {

	$settings = get_option("widget_flickrwidget");

	// check if anything's been sent
	if (isset($_POST['update_flickr'])) {
		$settings['id'] = strip_tags(stripslashes($_POST['flickr_id']));
		$settings['number'] = strip_tags(stripslashes($_POST['flickr_number']));

		update_option("widget_flickrwidget",$settings);
	}

	echo '<p>
			<label for="flickr_id">Flickr ID (<a href="http://www.idgettr.com">idGettr</a>):
			<input id="flickr_id" name="flickr_id" type="text" class="widefat" value="'.$settings['id'].'" /></label></p>';
	echo '<p>
			<label for="flickr_number">Number of photos:
			<input id="flickr_number" name="flickr_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<input type="hidden" id="update_flickr" name="update_flickr" value="1" />';

}

register_sidebar_widget('Woo - Flickr', 'flickrWidget');
register_widget_control('Woo - Flickr', 'flickrWidgetAdmin', 400, 200);


// =============================== Ad 300x250 widget ======================================
function ad300Widget()
{
?>
<div class="box2">
    <div class="top"></div>
    <div class="spacer">
        <div id="mpu_banner">
    
            <?php if (get_option('woo_ad_300_adsense') <> "") { echo stripslashes(get_option('woo_ad_300_adsense')); ?>
            
            <?php } else { ?>
            
            <a href="<?php echo get_option('woo_ad_300_url'); ?>"><img src="<?php echo get_option('woo_ad_300_image'); ?>" width="300" height="250" alt="advert" /></a>
                
            <?php } ?>	
                      
        </div>
    </div>
    <div class="bot"></div>
</div>
<?php 
}
register_sidebar_widget('Woo - Ad 300x250', 'ad300Widget');

// =============================== Ad 125x125 widget ======================================
function adsWidget()
{
$settings = get_option("widget_adswidget");
$number = $settings['number'];
if ($number == 0) $number = 1;
$img_url = array();
$dest_url = array();

$numbers = range(1,$number); 
$counter = 0;

if (get_option('woo_ads_rotate') == "true") {
	shuffle($numbers);
}
?>

<div class="box2">
    <div class="top"></div>
    <div class="spacer">
        <div class="ads"> 
<?php
	foreach ($numbers as $number) {	
		$counter++;
		$img_url[$counter] = get_option('woo_ad_image_'.$number);
		$dest_url[$counter] = get_option('woo_ad_url_'.$number);
	
?>
        <a href="<?php echo "$dest_url[$counter]"; ?>"><img src="<?php echo "$img_url[$counter]"; ?>" alt="Ad" /></a>
<?php } ?>
        </div>
        <div class="fix"></div>
    </div>	
    <!--/spacer -->
    <div class="bot"></div>
</div>
<!--/box2 -->

<?php

}
register_sidebar_widget('Woo - Ads 125x125', 'adsWidget');

function adsWidgetAdmin() {

	$settings = get_option("widget_adswidget");

	// check if anything's been sent
	if (isset($_POST['update_ads'])) {
		$settings['number'] = strip_tags(stripslashes($_POST['ads_number']));

		update_option("widget_adswidget",$settings);
	}

	echo '<p>
			<label for="ads_number">Number of ads (1-6):
			<input id="ads_number" name="ads_number" type="text" class="widefat" value="'.$settings['number'].'" /></label></p>';
	echo '<input type="hidden" id="update_ads" name="update_ads" value="1" />';

}
register_widget_control('Woo - Ads 125x125', 'adsWidgetAdmin', 200, 200);



/*---------------------------------------------------------------------------------*/
/* Twitter widget */
/*---------------------------------------------------------------------------------*/
class Woo_Twitter extends WP_Widget {

   function Woo_Twitter() {
	   $widget_ops = array('description' => 'Add your Twitter feed to your sidebar with this widget.' );
       parent::WP_Widget(false, __('Woo - Twitter Stream', 'woothemes'),$widget_ops);      
   }
   
   function widget($args, $instance) {  
    extract( $args );
   	$title = $instance['title'];
    $limit = $instance['limit']; if (!$limit) $limit = 5;
	$username = $instance['username'];
	$unique_id = $args['widget_id'];
	?>
<div class="box2">
    <div class="top"></div>
    <div class="spacer">
        <?php if ($title) echo $before_title . $title . $after_title; ?>
        <ul id="twitter_update_list_<?php echo $unique_id; ?>" class="list2"><li></li></ul>	
        <?php echo woo_twitter_script($unique_id,$username,$limit); //Javascript output function ?>	 
        <div class="fix"></div>
    </div>	
    <!--/spacer -->
    <div class="bot"></div>
</div>
<!--/box2 -->
        
   		
	<?php
   }

   function update($new_instance, $old_instance) {                
       return $new_instance;
   }

   function form($instance) {        
   
       $title = esc_attr($instance['title']);
       $limit = esc_attr($instance['limit']);
	   $username = esc_attr($instance['username']);
       ?>
       <p>
	   	   <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('title'); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" />
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('username'); ?>"><?php _e('Username:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('username'); ?>"  value="<?php echo $username; ?>" class="widefat" id="<?php echo $this->get_field_id('username'); ?>" />
       </p>
       <p>
	   	   <label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e('Limit:','woothemes'); ?></label>
	       <input type="text" name="<?php echo $this->get_field_name('limit'); ?>"  value="<?php echo $limit; ?>" class="" size="3" id="<?php echo $this->get_field_id('limit'); ?>" />

       </p>
      <?php
   }
   
} 
register_widget('Woo_Twitter');


?>